unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Forms, Dialogs,
  Db, DBF, StdCtrls, DBCtrls, Grids, DBGrids, Mask, Buttons, ExtCtrls, // MemCheck,
  Controls;

type
  TForm1 = class(TForm)
    DS: TDataSource;
    DBGrid1: TDBGrid;
    Abrir: TButton;
    LTabla: TLabel;
    Tabla: TLabel;
    Elegir: TBitBtn;
    OpenDialog: TOpenDialog;
    DBNavigator1: TDBNavigator;
    DBF: TDBF;
    Label1: TLabel;
    Filter: TEdit;
    Filtered: TButton;
    procedure AbrirClick(Sender: TObject);
    procedure ElegirClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FilteredClick(Sender: TObject);
    procedure FilterChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.AbrirClick(Sender: TObject);
begin
  DS.Enabled := False;
  DBF.Active := not DBF.Active;
  if Abrir.Caption = 'Open' then
    Abrir.Caption := 'Close'
  else
    Abrir.Caption := 'Open';
  DS.Enabled := True;
end;

procedure TForm1.ElegirClick(Sender: TObject);
begin
  if OpenDialog.Execute then
    begin
      Tabla.Caption := OpenDialog.FileName;
      if Dbf.Active then
        begin
          Dbf.Close;
          Abrir.Caption := 'Open';
        end;
      Dbf.TableName := OpenDialog.FileName;
    end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
//  MemCheckLogFileName:='C:\DbfMem.Log';
//  MemChk;
end;

procedure TForm1.FilteredClick(Sender: TObject);
begin
  if Filtered.Caption = 'Off' then
    begin
      Filtered.Caption := 'On';
      DBF.Filtered := False;
    end
  else
    begin
      Filtered.Caption := 'Off';
      DBF.Filtered := True;
    end;
  DBF.Refresh;
end;

procedure TForm1.FilterChange(Sender: TObject);
begin
  DBF.Filter := Filter.Text;
  DBF.Refresh;
end;

end.
